Bug 74290 - Arbitary data crashes gnome-terminal
Arbitary data crashes gnome-terminal
Product: Red Hat Linux
Classification: Retired
Component: vte (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Depends On:
  Show dependency treegraph
Reported: 2002-09-19 14:11 EDT by Alan Cox
Modified: 2007-04-18 12:46 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-11-11 18:53:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
shorter test case, excerpted from the previous attachment (960 bytes, application/octet-stream)
2002-09-19 16:05 EDT, Nalin Dahyabhai
no flags Details

  None (edit)
Description Alan Cox 2002-09-19 14:11:27 EDT
cat ~alan/6065081.pdf

Don't take that example file out of RH though , its NDA and client/attorney
priviledged. Trace looks like a buffer overrun but I may be wrong.
Comment 1 Nalin Dahyabhai 2002-09-19 16:05:56 EDT
Created attachment 76645 [details]
shorter test case, excerpted from the previous attachment
Comment 2 Nalin Dahyabhai 2002-09-26 14:36:15 EDT
Fixed in CVS.  The buffer would place a row in the wrong place, and an assertion
would be triggered.
Comment 3 Alan Cox 2002-09-26 16:09:50 EDT
Does that mean we can downgrade it from security to "doh stupid bug" ?
Comment 4 Nalin Dahyabhai 2002-10-17 20:22:34 EDT
I guess so.

Note You need to log in before you can comment on or make changes to this bug.